html {
    scroll-behavior: smooth;
  }

.main {
    position: relative;
    background-image: url('../Img/malla.png');
    background-size: 200px 200px; /* Ajusta el tamaño según tus necesidades */
    background-repeat: repeat; /* Hace que la imagen se repita */
    background-position: center;
}
  
[data-carousel-item] {
    position: relative;
}

[data-carousel-item]::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.3); /* Opacidad negra del 70% */
    z-index: 1; /* Asegura que la capa de opacidad esté debajo del texto */
}

/* Estilos opcionales para el título y el subtítulo */
.carousel-caption h3 {
    font-size: 3rem; /* Tamaño del título */
    margin-bottom: 0.5rem;
    color: white;
}

.carousel-caption p {
    font-size: 1rem; /* Tamaño del subtítulo */
    color: white;
}
/*Title*/

.titleCarrousel{
font-family: 'Poppins';
}

.textCarrousel{
font-family: 'Roboto';
font-weight: 300;
}

 /*Testimonial Section */
 .testimonial-text, .testimonial-name, .testimonial-position, .testimonial-image img {
    transition: opacity 0.5s ease-in-out;
    opacity: 0;
}

.visible {
    opacity: 1;
}

/*Button desplazacimeiento hacia arriba*/
#backToTopBtn {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #000;
    color: white;
    border: none;
    border-radius: 5px;
    padding: 10px;
    cursor: pointer;
    opacity: 0;
    transition: opacity 0.3s;
    z-index: 1000;
}

#backToTopBtn.show {
    opacity: 1;
}

@media (max-width: 768px) {
   
  
    #titleCarrousel{
        font-size: 26px;
    }

    #parrafoCarrousel{
        font-size: 16px;
    }
}

 /* Tablet Design */
 @media (min-width: 769px) {

    #loadingDiv img{
        background: linear-gradient(45deg, #481861, #a65f32, #d98e25, #0abaf9, purple);
        background-clip: padding-box;
        padding: 5px;
        box-shadow: 0 0 40px rgba(255, 0, 0, 0.5), 0 0 20px rgba(255, 255, 0, 0.5), 0 0 40px rgba(0, 255, 0, 0.5), 0 0 40px rgba(0, 0, 255, 0.5), 0 0 40px rgba(128, 0, 128, 0.5);
    }

 }

 @media (max-width: 767px) {
    #loadingDiv {
        font-size: 16px; /* Ajusta el tamaño del texto u otros estilos específicos para móviles */
    }

    #loadingDiv img {
        width: 100px; /* Ajusta el tamaño de la imagen para móviles */
    }
}

#loadingDiv img {
    background: linear-gradient(45deg, #481861, #a65f32, #d98e25, #0abaf9, purple);
    background-clip: padding-box;
    padding: 5px;
    box-shadow: 0 0 40px rgba(255, 0, 0, 0.5), 0 0 20px rgba(255, 255, 0, 0.5), 0 0 40px rgba(0, 255, 0, 0.5), 0 0 40px rgba(0, 0, 255, 0.5), 0 0 40px rgba(128, 0, 128, 0.5);
}

/*About */

#audio-container {
    position: relative;
}

#audio-container audio {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 50; /* Asegúrate de que el z-index sea suficiente para que el audio aparezca encima de otros elementos */
}

/*no mostrar Scroll pantalla de carga*/
.no-scroll {
    overflow-y: hidden;
}

